<?php
/*
 * Copyright(C) op5 AB
 * All rights reserved.
 */

$DEBUG = false;

$db_type = 'mysql';
$db_host = 'localhost';
$db_user = 'monitor';
$db_passwd = 'monitor';
$db_database = 'monitor_gui';

$base_path = '/opt/monitor';
$main_config_file = "$base_path/etc/nagios.cfg";

// holds all variables from its respective config file
$main_config = false;
$cgi_config = false;

// set some defaults
$main_config['object_cache_file'] = "$base_path/var/objects.cache";
$main_config['status_file'] = "$base_path/var/status.log";
$main_config['log_archive_path'] = "$base_path/var/archives";
$main_config['downtime_file'] = "$base_path/var/downtime.log";
$main_config['comment_file'] = "$base_path/var/comment.log";
$main_config['resource_file'] = "$base_path/etc/resource.cfg";

// object_cache_file can be overridden from the default config, so
// create a pointer reference to it (will this clutter the symbol table?)
$object_cache_file = &$main_config['object_cache_file'];
$cgi_config_file = "$base_path/etc/cgi.cfg";;

// internal object indexing cache
$Object_Index_Table = false;


// List of tables to delete when importing config.
$db_object_tables = array('command',
				   		  'contact',
						  'contact_contactgroup',
						  'contactgroup',
						  'host',
						  'host_contact',
						  'host_contactgroup',
						  'host_hostgroup',
						  'host_parents',
						  'hostdependency',
						  'hostescalation',
						  'hostescalation_contact',
						  'hostescalation_contactgroup',
						  'hostgroup',
						  'service',
						  'service_contact',
						  'service_contactgroup',
						  'service_servicegroup',
						  'servicedependency',
						  'serviceescalation',
						  'serviceescalation_contact',
						  'serviceescalation_contactgroup',
						  'servicegroup',
						  'timeperiod',
						  'timeperiod_exclude',
						  'custom_vars',
						  );

?>
