<?php

ini_set('error_reporting', E_ALL);
ini_set('display_errors', true);
error_reporting(E_ALL);
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

/* Determin if on a Collax system */
$collax = false;
if($_SERVER['DOCUMENT_ROOT'] == "/usr/lib/akconfig/html" || $_SERVER['DOCUMENT_ROOT'] == "/export/https/"){
	$collax = true;
}

function menuitem($content)
{
	return $content;
}

function print_menu_header($header)
{
	if ($header != 'General')
		echo '</div>';
	echo '<div class="header" onclick="collapsMenu(\''.strtolower($header).'\')"><img src="images/icons/arrows/white-down.png" id="'.strtolower($header).'_img" alt="" style="margin-bottom: 1px" />&nbsp; '.$header.'</div>';
	echo '<div id="'.strtolower($header).'">';
}

function print_menu_items($arr)
{
	global $content;

	$on = !isset($_GET['on']) ? 'Tactical Overview' : $_GET['on'];

	$i = 0;
	foreach ($arr as $menuitem) {
		if (isset($content[$menuitem]) && $content[$menuitem] != "") {
			$oddeven = (($i ^= 1)) ? 'even' : 'odd';
			echo '<div class="'.$oddeven.'">'.$content[$menuitem].'</div>';
			echo "\n";
		}
	}
}

$content["Tactical Overview"] 		= "<a id=\"a_0\" href=\"#\" onclick=\"gotoPage('cgi-bin/tac.cgi','Tactical_Overview','0'); return false\" title=\"Brief status summary of all hosts and services\">Tactical Overview</a>";
$content["Host Detail"] 				= "<a id=\"a_1\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?hostgroup=all&amp;style=hostdetail','Host_Detail','1'); return false\" title=\"Detailed host status list\">Host Detail</a>";
$content["Service Detail"] 			= "<a id=\"a_2\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?host=all','Service_Detail','2'); return false\" title=\"Detailed service status list\">Service Detail</a>";
$content["Hostgroup Summary"] 		= "<a id=\"a_3\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?hostgroup=all&amp;style=summary','Hostgroup_Summary','3'); return false\" title=\"Host and service status summary for all hostgroups\">Hostgroup Summary</a>";
$content["Hostgroup Overview"] 		= "<a id=\"a_4\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?hostgroup=all&amp;style=overview','Hostgroup_Overview','4'); return false\"title=\"Brief service status overview for all hostgroups\">Hostgroup Overview</a>";
$content["Hostgroup Grid"] 			= "<a id=\"a_5\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?hostgroup=all&amp;style=grid','Hostgroup_Grid','5'); return false\" title=\"Service status overview for all hostgroups\">Hostgroup Grid</a>";
$content["Servicegroup Summary"] 	= "<a id=\"a_6\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?servicegroup=all&amp;style=summary','Servicegroup_Summary','6'); return false\">Servicegroup Summary</a>";
$content["Servicegroup Overview"] 	= "<a id=\"a_7\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?servicegroup=all&amp;style=overview','Servicegroup_Overview','7'); return false\" title=\"Brief service status overview for all servicegroups\">Servicegroup Overview</a>";
$content["Servicegroup Grid"] 		= "<a id=\"a_8\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?servicegroup=all&amp;style=grid','Servicegroup_Grid','8'); return false\" title=\"Service status overview for all servicegroups\">Servicegroup Grid</a>";
$content["Hyper Map"]					= "<a id=\"a_10\" href=\"#\" onclick=\"gotoPage('cgi-bin/hypergraph.cgi?host=all#graph-section','Hyper_Map','10'); return false\" title=\"Network topology map, alternative version\">Hyper Map</a>";
$content["Network Outages"] 			= "<a id=\"a_11\" href=\"#\" onclick=\"gotoPage('cgi-bin/outages.cgi','Network_Outages','11'); return false\" title=\"Hosts and services affected by network failures\">Network Outages</a>";
$content["Host Problems"] 				= "<a id=\"a_12\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?hostgroup=all&amp;style=hostdetail&amp;hoststatustypes=12','Host_Problems','12'); return false\" title=\"All host problems\">Host Problems</a>";
$content["Service Problems"] 			= "<a id=\"a_13\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?host=all&amp;servicestatustypes=28','Service_Problems','13'); return false\" title=\"All service problems\">Service Problems</a>";
$content["Unhandled Problems"] 		= "<a id=\"a_14\" href=\"#\" onclick=\"gotoPage('cgi-bin/status.cgi?host=all&amp;type=detail&amp;servicestatustypes=61&amp;serviceprops=10&amp;hostprops=10','Unhandled_Problems','14'); return false\" title=\"Unhandled problems\">Unhandled problems</a>";
$content["Comments"] 					= "<a id=\"a_15\" href=\"#\" onclick=\"gotoPage('cgi-bin/extinfo.cgi?&amp;type=3','Comments','15'); return false\" title=\"All comments for all hosts and services\">Comments</a>";
$content["Schedule Downtime"] 		= "<a id=\"a_16\" href=\"#\" onclick=\"gotoPage('cgi-bin/extinfo.cgi?&amp;type=6','Schedule Downtime','16'); return false\" title=\"Schedule downtime for hosts and services\">Schedule Downtime</a>";
$content["Process Info"] 				= "<a id=\"a_17\" href=\"#\" onclick=\"gotoPage('cgi-bin/extinfo.cgi?&amp;type=0','Process_Info','17'); return false\" title=\"Monitor logic process self surveillance details and commands\">Process Info</a>";
$content["Performance Info"] 			= "<a id=\"a_18\" href=\"#\" onclick=\"gotoPage('cgi-bin/extinfo.cgi?&amp;type=4','Performance_Info','18'); return false\" title=\"Check execution performance and latency information\">Performance Info</a>";
$content["Scheduling Queue"] 			= "<a id=\"a_19\" href=\"#\" onclick=\"gotoPage('cgi-bin/extinfo.cgi?&amp;type=7','Scheduling_Queue','19'); return false\" title=\"Scheduling queue\">Scheduling Queue</a>";
$content["View Config"] 				= "<a id=\"a_26\" href=\"#\" onclick=\"gotoPage('cgi-bin/config.cgi','View_Config','26'); return false\" title=\"View raw configuration information\">View Config</a>";
# Reload - originally contributed by Urban Fredriksson, Fujitsu AB
$content["Reload"] 						= "<a href=\"#\" title=\"Reload the current page\" onclick=\"parent.frames.main.location.reload(); return false\">Reload current page</a>";

if (file_exists("/opt/monitor/op5/ninja/index.php")) {
	$content["Try Ninja"] = "<a id=\"a_40\" href=\"#\" title=\"Try the New GUI\" onclick=\"gotoPage('about.php','Try the New GUI','40');return false\">Try the New GUI</a>";
}

# portal page
if (is_file($_SERVER['DOCUMENT_ROOT'] . '/index.php'))
	$content['Portal'] = "<a href=\"#\" onclick=\"top.location.href='/index.php'\" title=\"op5 System portal page\">Portal</a>";

if (is_dir('/opt/statistics'))
	$content["Statistics"] = "<a title=\"op5 Statistics\" href=\"/statistics/\" target=\"_blank\">Statistics</a>";

if (is_file('/opt/monitor/op5/gui/passwd.php'))
	$content["Change password"] = "<a id=\"a_30\" title=\"Change your password\" href=\"#\" onclick=\"gotoPage('op5/gui/passwd.php','Change_Password','30'); return false\">Change password</a>";

if (is_dir('/opt/monitor/op5/backup'))
	$content["Backup / Restore"] = "<a id=\"a_31\" title=\"Backup / Restore\" href=\"#\" onclick=\"gotoPage('op5/backup/verify.cgi','Backup_/_Restore','31'); return false\">Backup / Restore</a>";

if (is_dir('/opt/monitor/op5/doc'))
	$content["Manual"] = "<a id=\"a_34\" title=\"Documentation\" href=\"#\" onclick=\"gotoPage('op5/doc/html/start.php','Documentation','34'); return false\">Documentation</a>";

if (is_dir('/opt/monitor/op5/nacoma'))
	$content["Web Configure"] = "<a id=\"a_32\" title=\"Configure op5 Monitor\" href=\"#\" onclick=\"gotoPage('op5/nacoma/','Configure','32'); return false\">Configure</a>";

$main = false;
if (! empty($_SERVER['REMOTE_USER']) && is_dir($_SERVER['REMOTE_USER'])) {
	$user = $_SERVER['REMOTE_USER'];
	if (is_file($user . '/main.php')) $main = $user . '/main.php';
	elseif (is_file($user . '/main.html')) $main = $user . '/main.html';
}
else {
	if (is_file('main.php'))
		$main = 'main.php';
	elseif (is_file('main.html'))
		$main = 'main.html';
}
if ($main !== false)
	$content["Monitor Home"] = "<a title=\"Monitor Home\" href=\"$main\" target=\"main\">Monitor Home</a>";

// Check advanced or simple mode.
$advanced_mode = false;
if (isset($_REQUEST["mode"])) {
	if ($_REQUEST["mode"] == "advanced") {
		$advanced_mode = true;
	}
} else if (isset($_COOKIE["monitor_mode"]) && ($_COOKIE["monitor_mode"] == "advanced")) {
	$advanced_mode = true;
}

if ($advanced_mode) {
	setcookie("monitor_mode", "advanced", time() + (365 * 24 * 3600));
	$content["Mode"] = "<a href=\"?mode=simple\">Simple menu</a>";
} else {
	if (isset($_COOKIE["monitor_mode"])) {
		setcookie("monitor_mode", FALSE);
	}
	$content["Mode"] = "<a href=\"?mode=advanced\">Advanced menu</a>";
}

$content["Hide/show"] = "<a href=\"#\" onclick=\"collapsMenuBox()\">Hide menu</a>";

/* If on collax we hide Portal and Configure menu items */
if($collax) {
	unset($content["Portal"]);
	unset($content["Web Configure"]);
}

// Surround all definitions with the menuitem() function.
$tmp = array();
foreach ($content as $key => $val) {
	$tmp[$key] = $val != "" ? menuitem($val) : "";
}
$content = $tmp;

// Special case for Show host and separator, it should not be menuitem()'ed
$content["Show Host"] =  menuitem("<form method=\"get\" action=\"cgi-bin/status.cgi\" target=\"main\" style=\"margin: 0px;\"><fieldset><div style=\"float: left;\">".menuitem("Show Host:")." </div> <input type=\"text\" name=\"host\" size=\"12\" style=\"font: 11px 'trebuchet ms'; float: left; margin-left: 5px;\" /><input type=\"hidden\" name=\"navbarsearch\" value=\"1\" /></fieldset></form>");

$menus_advanced = array
	("General" => array
	 ("Portal",
	  "Try Ninja",
	  "Manual",
	  "Mode",
	  ),
	 "Monitoring" => array
	 ("Tactical Overview",
	  "Host Detail",
	  "Service Detail",
	  "Hostgroup Summary",
	  "Hostgroup Overview",
	  "Hostgroup Grid",
	  "Servicegroup Summary",
	  "Servicegroup Overview",
	  "Servicegroup Grid",
	  "Hyper Map",
	  "Network Outages",
	  "Host Problems",
	  "Service Problems",
	  "Unhandled Problems",
	  "Show Host",
	  "Comments",
	  "Schedule Downtime",
	  "Process Info",
	  "Performance Info",
	  "Scheduling Queue",
	  ),
	 "Configuration" => array
	 ("View Config",
	  "Change password",
	  "Backup / Restore",
	  "Web Configure")
	 );

	$menus_simple = array
	("General" => array
	 ("Portal",
	  "Try Ninja",
	  "Manual",
	  "Mode",
	  ),
	 "Monitoring" => array
	 ("Tactical Overview",
	  "Host Detail",
	  "Service Detail",
	  "Hostgroup Summary",
	  "Servicegroup Summary",
	  "Unhandled Problems",
	  "Schedule Downtime",
	  "Show Host",
	  ),
	 "Configuration" => array("Change password"),
	 );

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en" class="bar">
	<head>
		<meta http-equiv="content-type" content="application/xhtml+xml; charset=iso-8859-1" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Pragma-directive" content="no-cache" />
		<meta http-equiv="Cache-directive" content="no-cache" />
		<meta http-equiv="Expires" content="0" />
		<title> op5 Monitor &raquo; Menu </title>
		<link type="text/css" rel="stylesheet" href="css/common.css" />
		<link type="text/css" rel="stylesheet" href="css/form.css" />
		<link type="text/css" rel="stylesheet" href="css/gui.css" />
		<script type="text/javascript" src="js/menu.js"></script>
	</head>

	<body id="bg" class="bar">

		<div id="menu">
			<?php
				if ($advanced_mode)
					$menus = $menus_advanced;
				else
				  $menus = $menus_simple;

				foreach ($menus as $menu_header => $arr) {
					print_menu_header($menu_header);
					print_menu_items($arr);
				}
			?>
			</div>
		</div>
		<div id="close-menu" onclick="collapsMenuBox()" title="Hide menu"></div>
	</body>
</html>
